diff -r -c configuration/__init__.py configuration/__init__.py
*** configuration/__init__.py	Fri Aug  9 14:29:58 2013
--- configuration/__init__.py	Wed Oct 29 09:52:04 2014
***************
*** 59,64 ****
--- 59,65 ----
      srtp_encryption = ConfigSetting(type=SRTPEncryption, value='optional')
      timeout = ConfigSetting(type=NonNegativeInteger, value=30)
      sample_rate = ConfigSetting(type=SampleRate, value=32000)
+     media_ip = ConfigSetting(type=IPAddress, value=None)
  
  
  class ThorNodeConfig(ConfigSection):
diff -r -c configuration/settings.py configuration/settings.py
*** configuration/settings.py	Fri Aug  9 14:29:58 2013
--- configuration/settings.py	Wed Oct 29 09:40:56 2014
***************
*** 15,21 ****
  
  from sylk import __version__ as server_version
  from sylk.configuration import ServerConfig, SIPConfig, MSRPConfig, RTPConfig
! from sylk.configuration.datatypes import AudioCodecs, NillablePath, Path, Port, SIPProxyAddress
  
  
  # Account settings extensions
--- 15,21 ----
  
  from sylk import __version__ as server_version
  from sylk.configuration import ServerConfig, SIPConfig, MSRPConfig, RTPConfig
! from sylk.configuration.datatypes import AudioCodecs, NillablePath, Path, Port, SIPProxyAddress, IPAddress
  
  
  # Account settings extensions
***************
*** 34,39 ****
--- 34,40 ----
      audio_codec_list = Setting(type=AudioCodecs, default=None, nillable=True)
      srtp_encryption = Setting(type=SRTPEncryption, default=RTPConfig.srtp_encryption)
      use_srtp_without_tls = Setting(type=bool, default=True)
+     media_ip = Setting(type=IPAddress, default=RTPConfig.media_ip, nillable=True)
  
  
  class AccountSIPSettingsExtension(AccountSIPSettings):
***************
*** 85,90 ****
--- 86,92 ----
      audio_codec_list = Setting(type=AudioCodecs, default=RTPConfig.audio_codecs)
      port_range = Setting(type=PortRange, default=PortRange(RTPConfig.port_range.start, RTPConfig.port_range.end))
      timeout = Setting(type=NonNegativeInteger, default=RTPConfig.timeout)
+     media_ip = Setting(type=IPAddress, default=RTPConfig.media_ip, nillable=True)
  
  
  def sip_port_validator(port, sibling_port):
diff -r -c ./server.py /usr/src/opensipg/trunk/sylkserver/sylk.patch/server.py
*** server.py	Thu Jul 10 12:48:09 2014
--- server.py	Wed Oct 29 09:40:22 2014
***************
*** 25,31 ****
  import sylk.extensions
  
  from sylk.applications import IncomingRequestHandler
! from sylk.configuration import ServerConfig, SIPConfig, ThorNodeConfig
  from sylk.configuration.settings import AccountExtension, BonjourAccountExtension, SylkServerSettingsExtension
  from sylk.log import Logger
  from sylk.session import SessionManager
--- 25,31 ----
  import sylk.extensions
  
  from sylk.applications import IncomingRequestHandler
! from sylk.configuration import ServerConfig, SIPConfig, RTPConfig, ThorNodeConfig
  from sylk.configuration.settings import AccountExtension, BonjourAccountExtension, SylkServerSettingsExtension
  from sylk.log import Logger
  from sylk.session import SessionManager
***************
*** 111,116 ****
--- 111,117 ----
                         tls_privkey_file=None,
                         # rtp
                         rtp_port_range=(settings.rtp.port_range.start, settings.rtp.port_range.end),
+                        media_ip=settings.rtp.media_ip,
                         # audio
                         codecs=list(settings.rtp.audio_codec_list),
                         # logging
***************
*** 225,236 ****
--- 226,239 ----
      def _NH_SIPApplicationDidStart(self, notification):
          settings = SIPSimpleSettings()
          local_ip = SIPConfig.local_ip
+         media_ip = RTPConfig.media_ip
          log.msg("SylkServer started, listening on:")
          for transport in settings.sip.transport_list:
              try:
                  log.msg("%s:%d (%s)" % (local_ip, getattr(self.engine, '%s_port' % transport), transport.upper()))
              except TypeError:
                  pass
+         log.msg("Media IP: %s" % media_ip)
  
      def _NH_SIPApplicationWillEnd(self, notification):
          log.msg('SIP application will end: %s' % self.end_reason)